Package: org.gradle.api

## [Java] Class UncheckedIOException

- org.gradle.api.UncheckedIOException

- `UncheckedIOException` is used to wrap an IOException into an unchecked exception.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `UncheckedIOException ()`
    `UncheckedIOException (String message)`
    `UncheckedIOException (String message, Throwable cause)`
    `UncheckedIOException (Throwable cause)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`
    `class Exception` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public UncheckedIOException()

    - #### public UncheckedIOException(String message)

    - #### public UncheckedIOException(String message, Throwable cause)

    - #### public UncheckedIOException(Throwable cause)